curl --request GET \
--url https://api.jtl-cloud.com/erp/invoices/{invoiceId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/invoices/{invoiceId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/invoices/{invoiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Id": 123,
"Number": "A1004465",
"ExternalNumber": "D456-64894-132",
"CompanyId": 123,
"DepartureCountry": {
"CountryISO": "DE",
"State": "Berlin",
"CurrencyIso": "TODO",
"CurrencyFactor": 1.37
},
"CustomerId": 123,
"BillingAddress": {
"Id": 123,
"Company": "Sportbedarf Sommer",
"Company2": "Innovation Division",
"FormOfAddress": "Mr.",
"Title": "Dr.",
"FirstName": "John",
"LastName": "Doe",
"Street": "Main St. 123",
"Address2": "Floor 5, Apt 302",
"PostalCode": "12345",
"City": "Example City",
"State": "Example State",
"CountryIso": "DE",
"VatID": "DE123456789",
"PhoneNumber": "+49 1234 445556661",
"MobilePhoneNumber": "+49 160 123 4567",
"EmailAddress": "example@email.com",
"Fax": "+49 1234 4455566615"
},
"ShipmentAddress": {
"Id": 123,
"Company": "Sportbedarf Sommer",
"Company2": "Innovation Division",
"FormOfAddress": "Mr.",
"Title": "Dr.",
"FirstName": "John",
"LastName": "Doe",
"Street": "Main St. 123",
"Address2": "Floor 5, Apt 302",
"PostalCode": "12345",
"City": "Example City",
"State": "Example State",
"CountryIso": "DE",
"VatID": "DE123456789",
"PhoneNumber": "+49 1234 445556661",
"MobilePhoneNumber": "+49 160 123 4567",
"EmailAddress": "example@email.com",
"Fax": "+49 1234 4455566615"
},
"InvoiceDate": "2023-02-01T12:45:00.0000000+00:00",
"InvoicePaymentDetails": {
"PaymentMethodId": 123,
"PaymentStatus": 0,
"TotalGrossAmount": 19.99,
"CurrencyIso": "TODO",
"CurrencyFactor": 1.37,
"StillToPay": 0,
"PaymentTarget": 0,
"CashDiscount": 5,
"CashDiscountDays": 2,
"StopPaymentRequest": false,
"DunningLevel": 0,
"NextDueDate": "2023-02-01T12:45:00.0000000+00:00"
},
"ColorcodeId": 123,
"DunningBlock": false,
"IsExternalInvoice": false,
"Comment": "an additional order comment",
"CustomerComment": "an additional customer comment",
"IsCancelled": false,
"LanguageIso": "DE",
"CancellationDetails": {
"CancellationReasonId": 123,
"CancellationComment": "Change of mind (once again); we should consider terminating the customer relationship",
"Date": "2023-02-01T12:45:00.0000000+00:00"
}
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Get Invoice
Get a specific invoice
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
Response
Returns the invoice for the given ID.
Model Class: Invoice
The number of the invoice.
"A1004465"
The external number of the sales order.
"D456-64894-132"
Model Class: InvoiceDepartureCountry
Show child attributes
Show child attributes
Model Class: Address
Show child attributes
Show child attributes
Model Class: Address
Show child attributes
Show child attributes
The date when the invoice was created.
"2023-02-01T12:45:00.0000000+00:00"
Model Class: InvoicePaymentDetail
Show child attributes
Show child attributes
The creation of dunning letters is blocked.
false
Indicates if the invoice of the sales order was created in an external system like Amazon VCS.
false
A comment on the sales order.
"an additional order comment"
A customer comment on the sales order.
"an additional customer comment"
Indicates if the invoice has been cancelled.
false
The language of the invoice.
"DE"
Model Class: InvoiceCancellationDetails
Show child attributes
Show child attributes
Was this page helpful?